io.vertx.reactivex.ext.web.handler.graphql

## Class ApolloWSConnectionInitEvent

- java.lang.Object
- - io.vertx.reactivex.core.Promise<Object>
  - - io.vertx.reactivex.ext.web.handler.graphql.ApolloWSConnectionInitEvent

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

  Deprecated.

      @Deprecated
      public class ApolloWSConnectionInitEvent
      extends Promise<Object>
      implements io.vertx.lang.rx.RxDelegate

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ApolloWSConnectionInitEvent>` | `__TYPE_ARG` Deprecated.

    - ### Fields inherited from class io.vertx.reactivex.core.Promise

      `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApolloWSConnectionInitEvent(ApolloWSConnectionInitEvent delegate)` Deprecated.
    `ApolloWSConnectionInitEvent(Object delegate)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete(Object result)` Deprecated.
    `boolean` | `equals(Object o)` Deprecated.
    `Future<Object>` | `future()` Deprecated.
    `ApolloWSConnectionInitEvent` | `getDelegate()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `ApolloWSMessage` | `message()` Deprecated.
    `static ApolloWSConnectionInitEvent` | `newInstance(ApolloWSConnectionInitEvent arg)` Deprecated.
    `String` | `toString()` Deprecated.
    `boolean` | `tryComplete(Object result)` Deprecated.

    - ### Methods inherited from class io.vertx.reactivex.core.Promise

      `complete, fail, fail, newInstance, newInstance, promise, tryComplete, tryFail, tryFail`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ApolloWSConnectionInitEvent> __TYPE_ARG

      Deprecated.

  - ### Constructor Detail

    - #### ApolloWSConnectionInitEvent

          public ApolloWSConnectionInitEvent(ApolloWSConnectionInitEvent delegate)

      Deprecated.

    - #### ApolloWSConnectionInitEvent

          public ApolloWSConnectionInitEvent(Object delegate)

      Deprecated.

  - ### Method Detail

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Promise<Object>`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Promise<Object>`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Promise<Object>`

    - #### getDelegate

          public ApolloWSConnectionInitEvent getDelegate()

      Deprecated.
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `Promise<Object>`

    - #### complete

          @Deprecated
          public void complete(Object result)

      Deprecated.
      Set the result. Any handler will be called, if there is one, and the promise will be marked as completed.

      Any handler set on the associated promise will be called.
      Overrides:
        `complete` in class `Promise<Object>`
      Parameters:
        `result` - the result

    - #### tryComplete

          @Deprecated
          public boolean tryComplete(Object result)

      Deprecated.
      Like `Promise.complete(T)` but returns `false` when the promise is already completed instead of throwing an `IllegalStateException`, it returns `true` otherwise.
      Overrides:
        `tryComplete` in class `Promise<Object>`
      Parameters:
        `result` - the result
      Returns:
        `false` when the future is already completed

    - #### future

          @Deprecated
          public Future<Object> future()

      Deprecated.
      Overrides:
        `future` in class `Promise<Object>`
      Returns:
        the associated with this promise, it can be used to be aware of the promise completion

    - #### message

          @Deprecated
          public ApolloWSMessage message()

      Deprecated.
      Provides message content.
      Returns:
        message

    - #### newInstance

          public static ApolloWSConnectionInitEvent newInstance(ApolloWSConnectionInitEvent arg)

      Deprecated.

Copyright © 2025 Eclipse. All rights reserved.